## owncloud-client 1.5.0+dfsg

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6)
project(mirall)
set(PACKAGE "mirall")
set( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

include(Warnings)

set(OEM_THEME_DIR "" CACHE STRING "Define directory containing a custom theme")
if ( EXISTS ${OEM_THEME_DIR}/OEM.cmake )
     include ( ${OEM_THEME_DIR}/OEM.cmake )
else ()
     include ( ${CMAKE_SOURCE_DIR}/OWNCLOUD.cmake )
endif()

if (NOT DEFINED APPLICATION_SHORTNAME)
     set ( APPLICATION_SHORTNAME ${APPLICATION_NAME} )
endif()

include(${CMAKE_SOURCE_DIR}/VERSION.cmake)
configure_file( ${CMAKE_SOURCE_DIR}/src/mirall/version.h.in "${CMAKE_CURRENT_BINARY_DIR}/src/mirall/version.h" )
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR} "${CMAKE_CURRENT_BINARY_DIR}/src/mirall/")

#####
## handle DBUS for Fdo notifications
if( UNIX AND NOT APPLE )
    add_definitions( -DUSE_FDO_NOTIFICATIONS)
    set(WITH_DBUS ON)
endif()
####

include(GNUInstallDirs)
include(DefineInstallationPaths)
include(QtVersionAbstraction)

setup_qt()

include(GetGitRevisionDescription)
get_git_head_revision(GIT_REFSPEC GIT_SHA1)

# if we cannot get it from git, directly try .tag (packages)
# this will work if the tar balls have been properly created
# via git-archive.
if (${GIT_SHA1} STREQUAL "GITDIR-NOTFOUND")
    file(READ ${CMAKE_SOURCE_DIR}/.tag sha1_candidate)
    string(REPLACE "\n" "" sha1_candidate ${sha1_candidate})
    if (NOT ${sha1_candidate} STREQUAL "$Format:%H$")
        message("${sha1_candidate}")
        set (GIT_SHA1 "${sha1_candidate}")
    endif()
endif()

set(SYSCONFDIR ${SYSCONF_INSTALL_DIR})
set(DATADIR ${DATA_INSTALL_DIR})

#####
## handle BUILD_OWNCLOUD_OSX_BUNDLE
# BUILD_OWNCLOUD_OSX_BUNDLE was not initialized OR set to true on OSX
if(APPLE AND (NOT DEFINED BUILD_OWNCLOUD_OSX_BUNDLE OR BUILD_OWNCLOUD_OSX_BUNDLE))
    set(BUILD_OWNCLOUD_OSX_BUNDLE ON)
    set(OWNCLOUD_OSX_BUNDLE "${APPLICATION_EXECUTABLE}.app")

# BUILD_OWNCLOUD_OSX_BUNDLE was disabled on OSX
elseif(APPLE AND NOT BUILD_OWNCLOUD_OSX_BUNDLE)
    message(FATAL_ERROR "Building in non-bundle mode on OSX is currently not supported. Comment this error out if you want to work on/test it.")

# any other platform
else()
    set(BUILD_OWNCLOUD_OSX_BUNDLE OFF)
endif()
#####

#### find libs
#find_package(Qt4 4.7.0 COMPONENTS QtCore QtGui QtXml QtNetwork QtTest QtWebkit REQUIRED )
#if( UNIX AND NOT APPLE ) # Fdo notifications
#    find_package(Qt4 4.7.0 COMPONENTS QtDBus REQUIRED )
#endif()
find_package(Neon REQUIRED)
find_package(Csync REQUIRED)
find_package(QtKeychain REQUIRED)
if(UNIX)
find_package(INotify REQUIRED)
else()
find_package(INotify)
endif()
find_package(Sphinx)
find_package(PdfLatex)

set(WITH_QTKEYCHAIN ${QTKEYCHAIN_FOUND})
set(USE_INOTIFY ${INOTIFY_FOUND})

configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

include(OwnCloudCPack.cmake)

add_definitions(-DUNICODE)
add_definitions(-D_UNICODE)

# Handle Translations, pick all mirall_* files from trans directory.
file( GLOB TRANS_FILES ${CMAKE_SOURCE_DIR}/translations/mirall_*.ts)
set(TRANSLATIONS ${TRANS_FILES})

add_subdirectory(src)
add_subdirectory(doc)

if(UNIT_TESTING)
    include(CTest)
    enable_testing()
    add_subdirectory(test)
endif(UNIT_TESTING)

if(BUILD_OWNCLOUD_OSX_BUNDLE)
    configure_file(sync-exclude.lst ${OWNCLOUD_OSX_BUNDLE}/Contents/Resources/sync-exclude.lst COPYONLY)
else()
    install( FILES sync-exclude.lst DESTINATION ${SYSCONFDIR}/${APPLICATION_SHORTNAME} )
endif()

=== test/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_LIST_DIR}/../src)
include_directories(${CSYNC_INCLUDE_DIR}/csync ${CSYNC_INCLUDE_DIR} ${CSYNC_INCLUDE_DIR}/httpbf/src ${CSYNC_BUILD_PATH}/src)
include(owncloud_add_test.cmake)

owncloud_add_test(OwncloudPropagator)
owncloud_add_test(Utility)

=== debian/changelog ===
owncloud-client (1.5.0+dfsg-4ubuntu1) trusty; urgency=medium

  * Update libowncloudsync0.install for multi-arch location.
  * Add cmake-multiarch.patch to fix libraries installation path.
  * Update debian/libowncloudsync0.symbols.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 02 Jan 2014 15:48:16 +0400

owncloud-client (1.5.0+dfsg-4) unstable; urgency=medium

  * Added libqt4-sql-sqlite as dependency (Closes: #733749)

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 31 Dec 2013 17:55:47 +0100

owncloud-client (1.5.0+dfsg-3) unstable; urgency=medium

  [ David Prévot ]
  * Fixed tests filename

  [ Sandro Knauß ]
  * Added patch to respect XDG_CONFIG_HOME env variable
  * Fix the testsuite (Closes: #733306)
  * Updated debian/libowncloudsync0.symbols

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 31 Dec 2013 02:17:37 +0100

owncloud-client (1.5.0+dfsg-2) unstable; urgency=medium

  * Activated unit tests
  * Updated debian/libowncloudsync0.symbols for all archs (Closes: #733048)
  * Do not publish beta symbols

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 27 Dec 2013 19:50:08 +0100

owncloud-client (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream stable release
  * Released stable version to unstable
  * Updated watch file to track stable version of owncloud-client
  * Removed applied patch: 0003-Add-man-page-for-owncloudcmd.patch
  * Updated build dependencies
  * Added hardening support the standard way
  * Updated dependencies for libowncloudsync0
  * Updated debian/libowncloudsync0.symbols

 -- Sandro Knauß <bugs@sandroknauss.de>  Sun, 22 Dec 2013 23:47:12 +0100

owncloud-client (1.5.0~beta2+dfsg-1) experimental; urgency=low

  * New upstream release
  * Adding the new cmd client
  * Updated debian/watch to match on testing versions
  * Updated build dependencies
  * Updated disable-updatecheck.patch
  * Updated build deps
  * Removed patches (applied upstream):
    - freebsd-libinotify.patch
    - freebsd-statvfs64.patch
    - utility-platform.patch
  * Updated debian/libowncloudsync0.symbols (Closes: #731525)
  * Updated debian/changelog
  * Bumped Standards Version
  * Removed lintian-overrides

 -- Sandro Knauß <bugs@sandroknauss.de>  Sun, 08 Dec 2013 22:08:43 +0100

owncloud-client (1.4.2+dfsg-2) unstable; urgency=low

  * Updated debian/watch
  * Updated debian/libowncloudsync0.symbols

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 09 Nov 2013 17:01:43 +0100

owncloud-client (1.4.2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Added patches:
    - create-manpage.patch
    - freebsd-libinotify.patch
    - freebsd-statvfs64.patch
    - utility-platform.patch
  * Added freebsd support
  * Updated version dependency for ocsync
  * Updated debian/libowncloudsync0.symbols
  * Updated lintian-overrides: hardening-no-fortify-functions
  * Removed "--with kde" in debian/rules

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 22 Oct 2013 13:36:09 +0200

owncloud-client (1.4.1+dfsg-2) unstable; urgency=low

  * Fix FTBS for runs with binary-only
  * Added python-sphinx back to build-deps

 -- Sandro Knauß <bugs@sandroknauss.de>  Sun, 29 Sep 2013 00:52:30 +0200

owncloud-client (1.4.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Updated version dependency for ocsync
  * Updated debian/libowncloudsync0.symbols
  * Updated lintian-overrides: hardening-no-fortify-functions
  * Updated copyright file
  * Removed patches (applied upstream):
    - dont-ship-doc_scripts.patch
    - fix-empty-ocdir.patch
  * "Show Desktop Notifications" setting inoperant (Closes: #723833)
  * Makes build-arch faster

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 26 Sep 2013 19:56:16 +0200

owncloud-client (1.4.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Updated build-deps:
    - Removed useless version dependency for python-sphinx
    - Updated version dependecy for ocsync
    - Added libqtwebkit-dev
  * Updated debian/libowncloudsync0.symbols
  * Updated lintian-overrides: hardening-no-fortify-functions
  * Updated debian/copyright
  * owncloud-client package now cares about config dir instead of mirall-l10n
  * Renamed config dir /etc/owncloud -> /etc/ownCloud
  * Renamed packages:
    - mirall-l10n -> owncloud-client-l10n
    - mirall-doc -> owncloud-client-doc
  * Added transitional packages:
    - mirall-l10n
    - mirall-doc
  * Removed patches (applied upstream):
    - desktop-entry-lacks-keywords-entry.patch
    - doc-parallel.patch
  * Added patches:
    - disable-updatecheck.patch (Closes: #721341)
    - fix-empty-ocdir.patch
    - dont-ship-doc_scripts.patch
  * Removed unused configure parameters in debian/rules
  * Added PDF alternative to mirall-doc.doc-base
  * FTBFS w/ocsync 0.90: csync_progress_callback API changed (Closes: #722623)

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 11 Sep 2013 21:53:01 +0200

=== debian/control ===
Source: owncloud-client
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev,
               libinotify-dev [kfreebsd-any],
               libneon27-gnutls-dev,
               libocsync-dev (>= 0.91.4),
               libqt4-dev,
               libqtwebkit-dev,
               pkg-kde-tools,
               python-sphinx | python3-sphinx,
               qt4-dev-tools,
               qtkeychain-dev
Build-Depends-Indep: texlive-fonts-recommended,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     xsltproc
XS-Testsuite: autopkgtest
Vcs-Git: git://anonscm.debian.org/pkg-owncloud/owncloud-client.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/owncloud-client.git
Standards-Version: 3.9.5
Homepage: http://owncloud.org/sync-clients/

Package: owncloud-client
Architecture: any
Depends: libowncloudsync0 (= ${binary:Version}),
         libqt4-sql-sqlite,
         owncloud-client-l10n,
         ${misc:Depends},
         ${shlibs:Depends}
Description: folder synchronization with an ownCloud server - GUI
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 owncloud-client provides the graphical client specialising in
 synchronizing with cloud storage provided by ownCloud.

Package: owncloud-client-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Replaces: mirall-doc (<< 1.4.0~)
Breaks: mirall-doc (<< 1.4.0~)
Section: doc
Description: ownCloudSync folder synchronization - documentation
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the documentation.

Package: mirall-doc
Depends: owncloud-client-doc, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package for owncloud-client-doc
 This is a transitional dummy package. It can safely be removed.

Package: libowncloudsync0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Description: ownCloudSync folder synchronization - libraries
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This library is based on CSync, but adds functions that are missing in
 CSync and more specific to graphical clients.

Package: owncloud-client-l10n
Architecture: all
Depends: ${misc:Depends}
Replaces: mirall-l10n (<< 1.4.0~)
Breaks: mirall-l10n (<< 1.4.0~)
Section: localization
Description: ownCloudSync folder synchronization - localization
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the localization.

Package: mirall-l10n
Depends: owncloud-client-l10n, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package for owncloud-client-l10n
 This is a transitional dummy package. It can safely be removed.

Package: owncloud-client-cmd
Architecture: any
Depends: libowncloudsync0 (= ${binary:Version}),
         libqt4-sql-sqlite,
         owncloud-client-l10n,
         ${misc:Depends},
         ${shlibs:Depends}
Description: folder synchronization with an ownCloud server - cmd client
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the command line client specialising in
 synchronizing with cloud storage provided by ownCloud.

=== debian/rules ===
#!/usr/bin/make -f

export CSYNC_DIR=/usr/include/ocsync
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

%:
	dh $@ --parallel --with sphinxdoc --with pkgkde_symbolshelper

# Only do this for an indep build
override_dh_auto_test:
	mkdir obj-$(DEB_HOST_GNU_TYPE)/config
	XDG_CONFIG_HOME=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/config dh_auto_test
	rm -r obj-$(DEB_HOST_GNU_TYPE)/config

override_dh_auto_configure-arch:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DUNIT_TESTING=ON

override_dh_auto_configure-indep:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DWITH_DOC=ON -DUNIT_TESTING=ON

override_dh_sphinxdoc-arch:

build: build-indep

=== debian/tests/control ===
Tests: make-tests
Restrictions: build-needed

=== debian/watch ===
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

options="dversionmangle=s/\+dfsg[0-9]*//,uversionmangle=s/beta/~beta/;s/alpha/~alpha/" \
http://owncloud.org/sync-clients/ http://download.owncloud.com/desktop/stable/mirall-(.*)\.tar\.bz2 \
debian sh debian/repack.sh

## owncloud-client 1.6.2+dfsg

=== debian/changelog ===
owncloud-client (1.6.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Removed libegl1-mesa-dev from build-deps (was only added for workaround)
  * Added patch to skip specific failing tests on BSD. (Mitigates: #750903)

 -- Sandro Knauß <bugs@sandroknauss.de>  Sun, 03 Aug 2014 22:34:57 +0200

owncloud-client (1.6.1+dfsg-1) unstable; urgency=medium

  [ David Prévot ]
  * No tests if DEB_BUILD_OPTIONS contains nocheck

  [ Sandro Knauß ]
  * New upstream release
  * Update 0002-debian_version.patch hunks
  * Added libegl1-mesa-dev to build dependencies as workaround for QTBUG-39859.
    Thanks to Alf Gaida for the patch (Closes: #753255)
  * Made libowncloudsync0.lintian-overrides be aware of version of
    libowncloudsync.

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 01 Jul 2014 12:17:49 +0200

owncloud-client (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream stable release
  * Updated watch file to track for stable and testing releases
  * Updated 0001-disable-updatecheck.patch (only offset changes)
  * Updated copyright

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 31 May 2014 04:20:50 +0200

owncloud-client (1.6.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Make lintian-overrides multiarch
  * Removed upstream applied patches

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 17 May 2014 21:37:28 +0200

owncloud-client (1.6.0~beta2+dfsg-2) experimental; urgency=medium

  * Run the tests with --max-parallel=1 to fix FTBFS. (Closes: #746278)
    Thanks Dmitry Shachnev
  * Added patch to make doc parts installable.

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 08 May 2014 02:07:35 +0200

owncloud-client (1.6.0~beta2+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Added freebsd.patch
  * Moved libocsync to private location
  * Moved logic from patch 0002-create-manpage.patch -> debian/rules
  * Added dep3 header to freebsd.patch
  * Update lintian overrides

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 07 May 2014 22:19:33 +0200

owncloud-client (1.6.0~beta1+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Updated build-deps to build with QT5
  * Updated patches
  * Updated lintian-overrides
  * Updated copyright
  * Updated Dependencies
  * Added parameter to debian/rules to link only needed dependencies.

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 22 Apr 2014 20:12:43 +0200

owncloud-client (1.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Updated lintian-overrides
  * Added gpg signaturetest to watch file
  * Added patch to fix segault (Closes: #742064)
  * Removed Recommends (are set by qtkeychain)
  * Used Files-Exclude feature instead of repack script
  * Added README.Debian

 -- Sandro Knauß <bugs@sandroknauss.de>  Sun, 23 Mar 2014 23:20:57 +0100

owncloud-client (1.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Removed backported patches

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 27 Feb 2014 20:50:22 +0100

owncloud-client (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Updated 0001-disable-updatecheck.patch
  * Added patches for a correct copyright (cherry-pick from upstream)
  * Updated debian/copyright
  * Updated build-deps:
    - Added libcmocka-dev
    - Added libhttp-dav-perl
  * Added kwalletmanager as recommended to have crypted password support
  * Removed old packages (mirall-* packages)
  * Added libowncloudsync-dev package
  * Added replace/break for transition of ocsync into owncloud-client:
    - libocsnyc -> libowncloudsync
    - libocsync-dev -> libowncloudsync-dev
  * Deleted debian/libowncloudsync0.symbols - lib is too unstable
  * Removed autopkgtest (Closes: #735535)
  * Added debian version to info box
  * Used d/clean to delete unneeded files:
    - Use GNUInstallDirs.cmake from debian (Closes: #738512)
    - Deleted included copy of libhttp-dav-perl
    - Use debian standard cmake for OpenSSL and CheckPrototypeDefinition
  * lintian-overrides:
    - Added owncloud-client-cmd: hardening-no-fortify-functions
  * debian/rules: ignoring displaying manpages as not installed
  * debian/watch: watching for https instead of http

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 22 Feb 2014 00:19:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: owncloud-client
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
+Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <bugs@sandroknauss.de>
 Build-Depends: cmake,
                debhelper (>= 9),
                kdelibs5-dev,
+               libcmocka-dev,
+               libhttp-dav-perl,
                libinotify-dev [kfreebsd-any],
                libneon27-gnutls-dev,
-               libocsync-dev (>= 0.91.4),
-               libqt4-dev,
-               libqtwebkit-dev,
+               libqt5webkit5-dev,
+               libsqlite3-dev,
                pkg-kde-tools,
                python-sphinx | python3-sphinx,
-               qt4-dev-tools,
-               qtkeychain-dev
+               qt5keychain-dev,
+               qtdeclarative5-dev,
+               qttools5-dev,
+               qttools5-dev-tools
 Build-Depends-Indep: texlive-fonts-recommended,
                      texlive-latex-extra,
                      texlive-latex-recommended,
                      xsltproc
-XS-Testsuite: autopkgtest
 Vcs-Git: git://anonscm.debian.org/pkg-owncloud/owncloud-client.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/owncloud-client.git
 Standards-Version: 3.9.5
@@ -29,7 +30,7 @@
 Package: owncloud-client
 Architecture: any
 Depends: libowncloudsync0 (= ${binary:Version}),
-         libqt4-sql-sqlite,
+         libqt5sql5-sqlite,
          owncloud-client-l10n,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -46,8 +47,6 @@
 Package: owncloud-client-doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Replaces: mirall-doc (<< 1.4.0~)
-Breaks: mirall-doc (<< 1.4.0~)
 Section: doc
 Description: ownCloudSync folder synchronization - documentation
  The ownCloudSync system lets you always have your latest files wherever
@@ -58,16 +57,11 @@
  .
  This package provides the documentation.
 
-Package: mirall-doc
-Depends: owncloud-client-doc, ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Description: transitional dummy package for owncloud-client-doc
- This is a transitional dummy package. It can safely be removed.
-
 Package: libowncloudsync0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libocsync0
+Breaks: libocsync0
 Section: libs
 Description: ownCloudSync folder synchronization - libraries
  The ownCloudSync system lets you always have your latest files wherever
@@ -79,11 +73,24 @@
  This library is based on CSync, but adds functions that are missing in
  CSync and more specific to graphical clients.
 
+Package: libowncloudsync-dev
+Architecture: any
+Depends: libowncloudsync0 (= ${binary:Version}), ${misc:Depends}
+Replaces: libocsync-dev
+Breaks: libocsync-dev
+Section: libdevel
+Description: development files for owncloudsync
+ The ownCloudSync system lets you always have your latest files wherever
+ you are. Just specify one or more folders on the local machine to and a server
+ to synchronize to. You can configure more computers to synchronize to the same
+ server and any change to the files on one computer will silently and reliably
+ flow across to every other.
+ .
+ This package contains the library development files.
+
 Package: owncloud-client-l10n
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: mirall-l10n (<< 1.4.0~)
-Breaks: mirall-l10n (<< 1.4.0~)
 Section: localization
 Description: ownCloudSync folder synchronization - localization
  The ownCloudSync system lets you always have your latest files wherever
@@ -94,17 +101,10 @@
  .
  This package provides the localization.
 
-Package: mirall-l10n
-Depends: owncloud-client-l10n, ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Description: transitional dummy package for owncloud-client-l10n
- This is a transitional dummy package. It can safely be removed.
-
 Package: owncloud-client-cmd
 Architecture: any
 Depends: libowncloudsync0 (= ${binary:Version}),
-         libqt4-sql-sqlite,
+         libqt5sql5-sqlite,
          owncloud-client-l10n,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export CSYNC_DIR=/usr/include/ocsync
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEBVERS := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')

%:
	dh $@ --parallel --with sphinxdoc --with pkgkde_symbolshelper

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir obj-$(DEB_HOST_GNU_TYPE)/config
	XDG_CONFIG_HOME=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/config dh_auto_test --max-parallel=1
	rm -r obj-$(DEB_HOST_GNU_TYPE)/config
else
	@echo "** tests disabled"
endif

override_dh_auto_configure-arch:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DUNIT_TESTING=ON -DDEBIAN_VERSION=$(DEBVERS)

override_dh_auto_configure-indep:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DWITH_DOC=ON -DUNIT_TESTING=ON -DDEBIAN_VERSION=$(DEBVERS)

override_dh_auto_build-arch:
	dh_auto_build --
	dh_auto_build -- doc-man

override_dh_install:
	dh_install --list-missing \
		-Xusr/share/doc/mirall/latex \
		-Xusr/share/doc/mirall/qthelp \
		-Xusr/share/doc/mirall/html \
		-Xusr/share/man/man/owncloudcmd.1 \
		-Xusr/share/man/man/owncloud.1

override_dh_sphinxdoc-arch:

build: build-indep

## owncloud-client 1.6.3+dfsg

=== csync/CMakeLists.txt ===


# global needed variables
set(APPLICATION_NAME "ocsync")

set(APPLICATION_VERSION_MAJOR "0")
set(APPLICATION_VERSION_MINOR "91")
set(APPLICATION_VERSION_PATCH "5")

set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")

set(LIBRARY_VERSION "0.2.1")
set(LIBRARY_SOVERSION "0")

# add definitions
include(DefineCMakeDefaults)
include(DefinePlatformDefaults)
include(DefineCompilerFlags)
include(DefineOptions.cmake)

include(DefineInstallationPaths)

# add macros
include(MacroAddPlugin)
include(MacroCopyFile)

if (NOT WIN32)
    find_package(Iconv)
endif (NOT WIN32)
find_package(CMocka)
if (CMOCKA_FOUND AND UNIT_TESTING)
    include(AddCMockaTest)
endif (CMOCKA_FOUND AND UNIT_TESTING)

include(ConfigureChecks.cmake)


set(SOURCE_DIR ${CMAKE_SOURCE_DIR})

include_directories(${CMAKE_CURRENT_BINARY_DIR})

macro_copy_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake)

if (MEM_NULL_TESTS)
  add_definitions(-DCSYNC_MEM_NULL_TESTS)
endif (MEM_NULL_TESTS)

add_subdirectory(src)

if (CMOCKA_FOUND AND UNIT_TESTING)
    add_subdirectory(tests)
endif (CMOCKA_FOUND AND UNIT_TESTING)

configure_file(config_csync.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config_csync.h)
configure_file(config_test.h.cmake  ${CMAKE_CURRENT_BINARY_DIR}/config_test.h)

=== src/CMakeLists.txt ===
set(CMAKE_AUTOMOC TRUE)
include(GenerateExportHeader)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

qt_add_resources(MIRALL_RC_SRC ../mirall.qrc)
if ( IS_DIRECTORY ${OEM_THEME_DIR} )
    qt_add_resources(MIRALL_RC_SRC ${OEM_THEME_DIR}/theme.qrc)
    set(theme_dir ${OEM_THEME_DIR}/theme)
else()
    qt_add_resources(MIRALL_RC_SRC ../theme.qrc)
    set(theme_dir ${CMAKE_CURRENT_SOURCE_DIR}/../theme)
endif()

set(synclib_NAME ${APPLICATION_EXECUTABLE}sync)

if ( APPLE )
    list(APPEND OS_SPECIFIC_LINK_LIBRARIES
         /System/Library/Frameworks/CoreServices.framework
         /System/Library/Frameworks/Foundation.framework
         /System/Library/Frameworks/AppKit.framework
    )
endif()

IF(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    list(APPEND OS_SPECIFIC_LINK_LIBRARIES
	inotify
    )
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")

if(SPARKLE_FOUND AND NOT BUILD_LIBRARIES_ONLY)
    list (APPEND OS_SPECIFIC_LINK_LIBRARIES ${SPARKLE_LIBRARY})
endif()

set(3rdparty_SRC
3rdparty/qtsingleapplication/qtsingleapplication.cpp
3rdparty/qtsingleapplication/qtlocalpeer.cpp
3rdparty/qtsingleapplication/qtsinglecoreapplication.cpp
3rdparty/qtlockedfile/qtlockedfile.cpp
3rdparty/fancylineedit/fancylineedit.cpp
3rdparty/QProgressIndicator/QProgressIndicator.cpp
)

if (APPLE)
        list(APPEND 3rdparty_SRC
        3rdparty/qtmacgoodies/src/macpreferenceswindow.mm
        3rdparty/qtmacgoodies/src/macstandardicon.mm
        3rdparty/qtmacgoodies/src/macwindow.mm
        )
endif()

set(3rdparty_HEADER
3rdparty/qtsingleapplication/qtlocalpeer.h
3rdparty/qtsingleapplication/qtsingleapplication.h
3rdparty/qtsingleapplication/qtsinglecoreapplication.h
3rdparty/fancylineedit/fancylineedit.h
3rdparty/QProgressIndicator/QProgressIndicator.h
)

if (APPLE)
        list(APPEND 3rdparty_HEADER
        3rdparty/qtmacgoodies/src/macpreferenceswindow.h
        3rdparty/qtmacgoodies/src/macstandardicon.h
        )
endif()

if(NOT WIN32)
	list(APPEND 3rdparty_SRC 3rdparty/qtlockedfile/qtlockedfile_unix.cpp)
else()
	list(APPEND 3rdparty_SRC 3rdparty/qtlockedfile/qtlockedfile_win.cpp )
endif()

set(3rdparty_INC
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/qtlockedfile
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/qtsingleapplication
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/QProgressIndicator
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/fancylineedit
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/qjson
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/qtmacgoodies/src
    )

set(libsync_SRCS
    mirall/folderman.cpp
    mirall/folder.cpp
    mirall/folderwatcher.cpp
    mirall/authenticationdialog.cpp
    mirall/syncresult.cpp
    mirall/mirallconfigfile.cpp
    mirall/syncengine.cpp
    mirall/owncloudpropagator.cpp
    mirall/propagatorjobs.cpp
    mirall/propagator_qnam.cpp
    mirall/propagator_legacy.cpp
    mirall/syncjournalfilerecord.cpp
    mirall/syncjournaldb.cpp
    mirall/theme.cpp
    mirall/owncloudtheme.cpp
    mirall/logger.cpp
    mirall/utility.cpp
    mirall/filesystem.cpp
    mirall/connectionvalidator.cpp
    mirall/progressdispatcher.cpp
    mirall/mirallaccessmanager.cpp
    mirall/networkjobs.cpp
    mirall/account.cpp
    mirall/quotainfo.cpp
    mirall/clientproxy.cpp
    mirall/syncrunfilelog.cpp
    mirall/cookiejar.cpp
    mirall/accountmigrator.cpp
    creds/dummycredentials.cpp
    creds/abstractcredentials.cpp
    creds/credentialsfactory.cpp
    creds/http/httpconfigfile.cpp
    creds/credentialscommon.cpp
    3rdparty/qjson/json.cpp
)
if(TOKEN_AUTH_ONLY)
	set (libsync_SRCS
		${libsync_SRCS}
		creds/tokencredentials.cpp
	)
else()
    set (libsync_SRCS
        ${libsync_SRCS}
        creds/httpcredentials.cpp
        creds/shibbolethcredentials.cpp
        creds/shibboleth/shibbolethwebview.cpp
        creds/shibboleth/shibbolethrefresher.cpp
        creds/shibboleth/shibbolethuserjob.cpp
    )
endif()

IF( NOT WIN32 AND NOT APPLE )
    set(libsync_SRCS ${libsync_SRCS} mirall/folderwatcher_linux.cpp)
ENDIF()
IF( WIN32 )
    set(libsync_SRCS ${libsync_SRCS} mirall/folderwatcher_win.cpp)
ENDIF()
IF( APPLE )
    list(APPEND libsync_SRCS mirall/folderwatcher_mac.cpp)
ENDIF()


# These headers are installed for libowncloudsync to be used by 3rd party apps
set(owncloudsync_HEADERS
    mirall/account.h
    mirall/syncengine.h
    mirall/folder.h
    mirall/folderman.h
    mirall/folderwatcher.h
    mirall/mirallconfigfile.h
    mirall/networkjobs.h
    mirall/progressdispatcher.h
    mirall/syncfileitem.h
    mirall/syncjournaldb.h
    mirall/syncresult.h
)

set(creds_HEADERS
    creds/abstractcredentials.h
    creds/httpcredentials.h
)

IF (NOT APPLE)
    INSTALL(
        FILES ${owncloudsync_HEADERS}
	DESTINATION ${INCLUDE_INSTALL_DIR}/${synclib_NAME}/mirall
    )
    INSTALL(
        FILES ${creds_HEADERS}
	DESTINATION ${INCLUDE_INSTALL_DIR}/${synclib_NAME}/creds
    )
ENDIF(NOT APPLE)

list(APPEND libsync_LINK_TARGETS
    ${QT_LIBRARIES}
    ocsync
    httpbf
    ${OS_SPECIFIC_LINK_LIBRARIES}
)

if(QTKEYCHAIN_FOUND OR QT5KEYCHAIN_FOUND)
    list(APPEND libsync_LINK_TARGETS ${QTKEYCHAIN_LIBRARY})
    include_directories(${QTKEYCHAIN_INCLUDE_DIR})
endif()

if(NEON_FOUND)
    list(APPEND libsync_LINK_TARGETS ${NEON_LIBRARIES})
    include_directories(${NEON_INCLUDE_DIRS})

    if(NEON_WITH_LFS)
        add_definitions(-DNE_LFS)
    endif()

endif()

add_library(${synclib_NAME} SHARED ${libsync_SRCS} ${syncMoc})
GENERATE_EXPORT_HEADER( ${synclib_NAME}
	BASE_NAME ${synclib_NAME}
	EXPORT_MACRO_NAME OWNCLOUDSYNC_EXPORT
        EXPORT_FILE_NAME owncloudlib.h
	STATIC_DEFINE OWNCLOUD_BUILT_AS_STATIC
)


if(TOKEN_AUTH_ONLY)
    qt5_use_modules(${synclib_NAME} Network Xml Sql)
else()
    qt5_use_modules(${synclib_NAME} Widgets Network Xml WebKitWidgets Sql)
endif()

set_target_properties( ${synclib_NAME}  PROPERTIES
	VERSION ${MIRALL_VERSION}
	SOVERSION ${MIRALL_SOVERSION}
)
set_target_properties( ${synclib_NAME} PROPERTIES
	INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}/${APPLICATION_EXECUTABLE}" )

target_link_libraries(${synclib_NAME} ${libsync_LINK_TARGETS} )

if(BUILD_LIBRARIES_ONLY)
    #add_library(${synclib_NAME}_static STATIC ${libsync_SRCS} ${syncMoc})
    #qt5_use_modules(${synclib_NAME}_static Widgets Network Xml Sql)

    #set_target_properties( ${synclib_NAME}_static  PROPERTIES
    #    VERSION ${MIRALL_VERSION}
    #    SOVERSION ${MIRALL_SOVERSION}
    #)

    #target_link_libraries(${synclib_NAME}_static ${libsync_LINK_TARGETS} )
endif()



if(NOT BUILD_OWNCLOUD_OSX_BUNDLE)
    install(TARGETS ${synclib_NAME}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    )
    if(NOT WIN32)
        configure_file(${CMAKE_SOURCE_DIR}/mirall.desktop.in
		${CMAKE_CURRENT_BINARY_DIR}/${APPLICATION_EXECUTABLE}.desktop)
        install(FILES  ${CMAKE_CURRENT_BINARY_DIR}/${APPLICATION_EXECUTABLE}.desktop DESTINATION share/applications )
    endif()
else()
    install(TARGETS ${synclib_NAME} DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/MacOS)
    if (SPARKLE_FOUND)
        install(DIRECTORY "${SPARKLE_LIBRARY}"
	        DESTINATION "${OWNCLOUD_OSX_BUNDLE}/Contents/Frameworks" USE_SOURCE_PERMISSIONS)
    endif (SPARKLE_FOUND)

endif()

set(mirall_UI
mirall/folderwizardsourcepage.ui
mirall/folderwizardtargetpage.ui
mirall/sslerrordialog.ui
mirall/settingsdialog.ui
mirall/generalsettings.ui
mirall/networksettings.ui
mirall/accountsettings.ui
mirall/ignorelisteditor.ui
mirall/protocolwidget.ui
wizard/owncloudsetupnocredspage.ui
wizard/owncloudhttpcredspage.ui
wizard/owncloudwizardresultpage.ui
wizard/owncloudadvancedsetuppage.ui
)

qt_wrap_ui(mirall_UI_SRCS ${mirall_UI})

set(mirall_SRCS
    mirall/application.cpp
    mirall/systray.cpp
    mirall/folderwizard.cpp
    mirall/folderstatusmodel.cpp
    mirall/protocolwidget.cpp
    wizard/owncloudwizard.cpp
    wizard/owncloudsetuppage.cpp
    wizard/owncloudhttpcredspage.cpp
    wizard/abstractcredswizardpage.cpp
    wizard/owncloudwizardresultpage.cpp
    wizard/owncloudwizardcommon.cpp
    wizard/owncloudshibbolethcredspage.cpp
    wizard/owncloudadvancedsetuppage.cpp
    mirall/owncloudsetupwizard.cpp
    mirall/sslerrordialog.cpp
    mirall/logbrowser.cpp
    mirall/settingsdialog.cpp
    mirall/generalsettings.cpp
    mirall/networksettings.cpp
    mirall/accountsettings.cpp
    mirall/ignorelisteditor.cpp
    mirall/owncloudgui.cpp
    mirall/socketapi.cpp
    mirall/sslbutton.cpp
)



set(mirall_HEADERS
    mirall/application.h
    mirall/systray.h
    mirall/folderwizard.h
    mirall/owncloudsetupwizard.h
    wizard/owncloudwizard.h
    wizard/owncloudsetuppage.h
    wizard/owncloudhttpcredspage.h
    wizard/abstractcredswizardpage.h
    wizard/owncloudwizardresultpage.h
    wizard/owncloudwizardcommon.h
    wizard/owncloudshibbolethcredspage.h
    wizard/owncloudadvancedsetuppage.h
    mirall/folderstatusmodel.h
    mirall/sslerrordialog.h
    mirall/logbrowser.h
    mirall/settingsdialog.h
    mirall/generalsettings.h
    mirall/networksettings.h
    mirall/accountsettings.h
    mirall/ignorelisteditor.h
    mirall/protocolwidget.h
    mirall/owncloudgui.h
    mirall/socketapi.h
    mirall/sslbutton.h
)

set(updater_SRCS
    updater/updateinfo.cpp
    updater/updater.cpp
    updater/ocupdater.cpp
)

set(updater_HEADERS
    updater/updater.h
    updater/ocupdater.h
)

IF( APPLE )
    list(APPEND mirall_SRCS mirall/cocoainitializer_mac.mm)
    list(APPEND mirall_HEADERS mirall/cocoainitializer.h)

    list(APPEND mirall_SRCS mirall/settingsdialogmac.cpp)
    list(APPEND mirall_HEADERS mirall/settingsdialogmac.h)

    if(SPARKLE_FOUND)
       # Define this, we need to check in updater.cpp
       add_definitions( -DHAVE_SPARKLE )
       list(APPEND updater_SRCS updater/sparkleupdater_mac.mm)
       list(APPEND updater_HEADERS updater/sparkleupdater.h)
   endif()
ENDIF()

# csync is required.
include_directories(../csync/src ../csync/src/httpbf/src ${CMAKE_CURRENT_BINARY_DIR}/../csync ${CMAKE_CURRENT_BINARY_DIR}/../csync/src )
include_directories(${3rdparty_INC})

qt_add_translation(mirall_I18N ${TRANSLATIONS})

set( final_src
    ${mirall_HEADERS}
    ${MIRALL_RC_SRC}
    ${mirall_SRCS}
    ${mirall_UI_SRCS}
    ${mirallMoc}
    ${mirall_HEADERS}
    ${mirall_I18N}
    ${3rdparty_SRC}
    ${3rdparty_MOC}
)

# add executable icon on windows and osx
include( AddAppIconMacro )
set(ownCloud_old ${ownCloud})

# set an icon_app_name. For historical reasons we can not use the 
# application_shortname for ownCloud but must rather set it manually.
if ( EXISTS ${OEM_THEME_DIR}/OEM.cmake )
    set(ICON_APP_NAME ${APPLICATION_SHORTNAME})
else()
    set(ICON_APP_NAME "owncloud")
endif()

kde4_add_app_icon( ownCloud "${theme_dir}/colored/${ICON_APP_NAME}-icon*.png")
list(APPEND final_src ${ownCloud})
set(ownCloud ${ownCloud_old})

if (WITH_DBUS)
    set(ADDITIONAL_APP_MODULES DBus)
endif(WITH_DBUS)

if(NOT BUILD_OWNCLOUD_OSX_BUNDLE AND NOT BUILD_LIBRARIES_ONLY)
    set(BIN_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")

    if(NOT WIN32)
        file( GLOB _icons "${theme_dir}/colored/${ICON_APP_NAME}-icon-*.png" )
        foreach( _file ${_icons} )
            string( REPLACE "${theme_dir}/colored/${ICON_APP_NAME}-icon-" "" _res ${_file} )
            string( REPLACE ".png" "" _res ${_res} )
        install( FILES ${_file} RENAME ${ICON_APP_NAME}.png DESTINATION ${DATADIR}/icons/hicolor/${_res}x${_res}/apps )
        endforeach( _file )
    endif(NOT WIN32)

    install(FILES ${mirall_I18N} DESTINATION share/${APPLICATION_EXECUTABLE}/i18n)

    # we may not add MACOSX_BUNDLE here, if not building one

    # add_executable( ${APPLICATION_EXECUTABLE} main.cpp ${final_src})
    add_executable( ${APPLICATION_EXECUTABLE} WIN32 main.cpp ${final_src})
    qt5_use_modules(${APPLICATION_EXECUTABLE} Widgets Network Xml WebKitWidgets Sql ${ADDITIONAL_APP_MODULES})
elseif(NOT BUILD_LIBRARIES_ONLY)

=== debian/changelog ===
owncloud-client (1.6.3+dfsg-0ubuntu1) utopic; urgency=medium

  * New upstream bugfix release.
  * Build against Qt4 to fix panel indicator (LP: #1347128).
  * Sync debian/rules with Debian.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 11 Oct 2014 20:09:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: owncloud-client
 Section: net
 Priority: optional
-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <bugs@sandroknauss.de>
 Build-Depends: cmake,
                debhelper (>= 9),
@@ -10,14 +11,13 @@
                libhttp-dav-perl,
                libinotify-dev [kfreebsd-any],
                libneon27-gnutls-dev,
-               libqt5webkit5-dev,
+               libqt4-dev,
+               libqtwebkit-dev,
                libsqlite3-dev,
                pkg-kde-tools,
                python-sphinx | python3-sphinx,
-               qt5keychain-dev,
-               qtdeclarative5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
+               qt4-dev-tools,
+               qtkeychain-dev
 Build-Depends-Indep: texlive-fonts-recommended,
                      texlive-latex-extra,
                      texlive-latex-recommended,
@@ -30,7 +30,7 @@
 Package: owncloud-client
 Architecture: any
 Depends: libowncloudsync0 (= ${binary:Version}),
-         libqt5sql5-sqlite,
+         libqt4-sql-sqlite,
          owncloud-client-l10n,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -104,7 +104,7 @@
 Package: owncloud-client-cmd
 Architecture: any
 Depends: libowncloudsync0 (= ${binary:Version}),
-         libqt5sql5-sqlite,
+         libqt4-sql-sqlite,
          owncloud-client-l10n,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/watch ===
version=3
options="dversionmangle=s/\+dfsg[0-9]*//,uversionmangle=s/rc/~rc/;s/beta/~beta/;s/alpha/~alpha/;s/$/+dfsg/,pgpsigurlmangle=s/$/.asc/" \
https://owncloud.org/sync-clients/ https?://download.owncloud.com/desktop/\w+/mirall-(.*)\.tar\.bz2

## owncloud-client 1.7.0~beta1%2Breally1.6.4%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEBVERS := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')

%:
	dh $@ --parallel --with sphinxdoc --with pkgkde_symbolshelper

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir obj-$(DEB_HOST_GNU_TYPE)/config
	XDG_CONFIG_HOME=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/config dh_auto_test --max-parallel=1
	rm -r obj-$(DEB_HOST_GNU_TYPE)/config
else
	@echo "** tests disabled"
endif

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DUNIT_TESTING=ON -DDEBIAN_VERSION=$(DEBVERS) -DBUILD_WITH_QT4=ON

override_dh_auto_build:
	dh_auto_build -- doc
	dh_auto_build --

override_dh_auto_build-indep:
	dh_auto_build -- doc

override_dh_auto_build-arch:
	dh_auto_build -- doc-man
	dh_auto_build --

override_dh_install:
	dh_install --list-missing \
		-Xusr/share/doc/mirall/latex \
		-Xusr/share/doc/mirall/qthelp \
		-Xusr/share/doc/mirall/html \
		-Xusr/share/man/man1/owncloudcmd.1 \
		-Xusr/share/man/man1/owncloud.1

override_dh_sphinxdoc-arch:
